Apache::Session::Browseable::SQLite(3pm)

NAME
Apache::Session::Browseable::SQLite - An implementation of Apache::Session

SYNOPSIS
 use Apache::Session::Browseable::SQLite;

 #if you want Apache::Session to open new DB handles:

 tie %hash, 'Apache::Session::Browseable::SQLite', $id, {
    DataSource => 'dbi:Pg:dbname=sessions',
    UserName   => $db_user,
    Password   => $db_pass,
    Commit     => 1
 };

 #or, if your handles are already opened:

 tie %hash, 'Apache::Session::Browseable::SQLite', $id, {
    Handle => $dbh,
    Commit => 1
 };

Apache::Session::Browseable function are also available

DESCRIPTION
This module is an implementation of Apache::Session. It uses the SQLite backing store and no locking. See the example, and the documentation for Apache::Session::Browseable::Store::SQLite for more details.

USAGE
The special Apache::Session argument for this module is Commit. You MUST provide the Commit argument, which instructs this module to either commit the transaction when it is finished, or to simply do nothing. This feature is provided so that this module will not have adverse interactions with your local transaction policy, nor your local database handle caching policy. The argument is mandatory in order to make you think about this problem.

AUTHOR
This module was written by Xavier Guimard <x.guimard@free.fr> using Apache::Session::Postgres from Jeffrey William Baker as example.

SEE ALSO
Apache::Session::Browseable